VST 3 Interfaces: IComponentHandler Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IComponentHandler Class Referenceabstract

Host callback interface for an edit controller: Vst::IComponentHandler. More...

`#include <ivsteditcontroller.h>`

Inheritance diagram for IComponentHandler:

## Public Member Functions
virtual tresult | beginEdit (ParamID id)=0
| To be called before calling a performEdit (e.g.
virtual tresult | performEdit (ParamID id, ParamValue valueNormalized)=0
| Called between beginEdit and endEdit to inform the handler that a given parameter has a new value.
virtual tresult | endEdit (ParamID id)=0
| To be called after calling a performEdit (e.g.
virtual tresult | restartComponent (int32 flags)=0
| Instructs host to restart the component.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Host callback interface for an edit controller: Vst::IComponentHandler.

- [host imp]
- [released: 3.0.0]
- [mandatory]

Allow transfer of parameter editing to component (processor) via host and support automation. Cause the host to react on configuration changes (restartComponent).

See Also
  IEditController

## Member Function Documentation

virtual tresult beginEdit | ( | ParamID | id | ) |
| pure virtual

To be called before calling a performEdit (e.g.

on mouse-click-down event). This must be called in the UI-Thread context!

virtual tresult performEdit | ( | ParamID | id,
|  | ParamValue | valueNormalized
| ) |  |
| pure virtual

Called between beginEdit and endEdit to inform the handler that a given parameter has a new value.

This must be called in the UI-Thread context!

virtual tresult endEdit | ( | ParamID | id | ) |
| pure virtual

To be called after calling a performEdit (e.g.

on mouse-click-up event). This must be called in the UI-Thread context!

virtual tresult restartComponent | ( | int32 | flags | ) |
| pure virtual

Instructs host to restart the component.

This must be called in the UI-Thread context!

Parameters

  flags | is a combination of RestartFlags

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2023 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.